/* 
 * Laboratorio di Programmazione - A.A. 2004-05
 * Canali A-D (Nicola Galesi), P-Z (Stefano Guerini)
 * 
 * nodes.h
 * Versione per il primo modulo.
 */

/*
 * Per i successivi moduli questo header files conterra' tutte le dichirazioni
 * relative ai tipi e alle funzioni necessarie alla gestione del grafo degli
 * ipertesti.
 *
 * Per il primo modulo contiene solo il prototipo di crete_node_table
 */
#include <dirent.h>

 
/* 
 * Crea una nuova tavola le cui chiavi degli elementi sono i file ipertesto
 * contenuti in "dirname".
 *
 * Ritorna il puntatore alla nuova tavola creata, o NULL in caso di errore.
 */
struct table *create_node_table(char *dirname);
